<ion-view title="{{practice.title}}" ng-cloak>
<ion-nav-buttons side="left">
<button ng-hide="showSaveButton()" ui-sref="home" class="button ion-back-custom">Start</button>
<button ng-show="showSaveButton()" ng-click="save()" ui-sref="home" class="button ion-back-custom">Klar</button>
</ion-nav-buttons>
<ion-content scroll="true" has-bouncing="false"  class="homeworkSlideContent">
<ion-slide-box on-slide-changed="slideChanged(index)" data-oldactive-slide="activeSlide" pager-click="pagerClick(index)" show-pager="1">
<ion-slide class="" ng-repeat="homeworkSlide in practice.homeworkSlides">
<span class="hidden">{{$index}}</span>

<h4 class="steps" ng-show="practice.homeworkSlides.length>1">{{$index+1}} av {{practice.homeworkSlides.length}}</h4>
<h4 class="steps" ng-show="practice.homeworkSlides.length<2">&nbsp;</h4>
<div class="box-container scaleUp " ng-if="slideIndex == $index">
    <div class="whitebg" data-oldstyle="height:300px;overflow:scroll;">
        
        
        <!-- <h3 class="someheader" ng-if="homeworkSlide.title" ng-bind-html="homeworkSlide.title">
        {{homeworkSlide.title}}
        </h3> -->
        
        <div ng-if="homeworkSlide.type=='reorder'" class="allothers">
            
            <!-- <ion-scroll direction="y"  data-olddelegate-handle="homeworkSlideScroll" has-bouncing="false" dastyle="height:230px;">  -->
            <div class="slideheader" ng-bind-html="htmlSafe(homeworkSlide.content_description)"></div>
            <div class="buttonsbar">
                <button ng-hide="!homeworkSlide.list.length" class="button plain" ng-click="data.showDelete = !data.showDelete; data.showReorder = !data.showReorder">Ändra</button>
                <button class="button button-icon icon ion-ios7-plus-outline right" ng-click="openListModal()">
                ADD
                </button>
            </div>
            <div class="othersbar">
                
                <ion-list can-reorder="true" show-reorder="data.showReorder" show-delete="data.showDelete" show-options="data.showEdit">
                <!-- case home work = reorder -->
                    <ion-item ng-repeat="item in homeworkSlide.list track by $index" ng-if="item.trashed!==true" class="item-text-wrap">
                    {{item.list}}
                    <ion-delete-button class="ion-minus-circled" ng-click="deleteTheList($index)"></ion-delete-button>
                    <ion-delete-button class="ion-edit-circled" ng-click="updateListModal($index)"></ion-delete-button>
                    <!-- <ion-option-button class="button-assertive" data-xcfng-click="edit(item)">Edit</ion-option-button> -->
                    <ion-reorder-button class="ion-navicon" on-reorder="reorderList(item, $fromIndex, $toIndex)"></ion-reorder-button>
                    </ion-item>
                </ion-list>
                
            </div>
            <!-- </ion-scroll> -->
            <!-- <div class="padded">
                <button ng-hide="!homeworkSlide.list.length" class="button button-positive" ng-click="data.showDelete = !data.showDelete; data.showReorder = !data.showReorder">Ändra</button>
            </div> -->
        </div>
        <div ng-if="homeworkSlide.type=='dynamic-button'" >
            <div class="slideheader" ng-bind-html="htmlSafe(homeworkSlide.content_description)"></div>
            <div class="paddedleft">
                
                <!-- case home work = "dynamic_button" -->
                <span ng-repeat="dbutton in homeworkSlide.buttons">
                <button data-link="{{dbutton.link}}" class="button button-positive" ng-click="button_action(dbutton);">
                {{dbutton.label}}
                </button>&nbsp;</span>
            </div>
        </div>
        <div ng-if="homeworkSlide.type =='form'">
            <div class="slideheader" ng-bind-html="htmlSafe(homeworkSlide.content_description)"></div>
            <div class="padded"></div>
        </div>
        <div ng-if="homeworkSlide.type=='normal-text'">
            <!-- <ion-scroll direction="y"  data-olddelegate-handle="homeworkSlideScroll" has-bouncing="false" data-oldstyle="height:280px;">  -->
            <div class="slideheader" ng-bind-html="htmlSafe(homeworkSlide.content_description)"></div>
            <div class="padded">
                
                <!--  <div class="" ng-bind-html="htmlSafe(homeworkSlide.content_description)"></div> -->
                <!-- case home work = "form" -->
                <div class="customtextbox">
                    <!-- <textarea name="userinput" class="" cols="10" rows="5" ></textarea> -->
                    <textarea ng-model="homeworkSlide.value" data-oldtagged-autogrow></textarea>
                </div>
            </div>
            <!-- </ion-scroll> -->
        </div>
        <!-- <div class="centerWrapper inside-klar-wrapper">
                    <button ng-show="showSaveButton()" style="position:absolute;bottom:15px;left:50%;margin-left:-55px;" ng-click="save();" data-oldui-sref="exponeracheck" class="inside-klar button button-positive">Klar</button>
                </div> -->
    </div>
</div>
</ion-slide>
</ion-slide-box>

<button class="button button-positive button-clear button-icon icon slideing ion-arrow-left no-animation" ng-click="previous()" ng-if="slideIndex > 0">
Previous Slide
</button>
<button class="button button-positive button-clear button-icon icon slideing ion-arrow-right no-animation" ng-click="next()" ng-if="slideIndex < practice.homeworkSlides.length-1">
Next
</button>
</ion-content>
</ion-view>
